var character = new Actor(160, 425);
function buildCharacter(){
    character.height = 75;
    let anim = new Anim("images/walk11x60x75.png", 11, 60, true);
    character.anims.push(anim);
    a = new Anim("images/jumpup6x60x75.png", 6, 60, false);
    character.anims.push(a);
    a = new Anim("images/jumpdown6x65x75.png", 6, 65, false);
    character.anims.push(a);
}
character.jump = function() {
    if(this.current === 1 || this.current === 2) {return;}
    this.hadBoost = false;
    this.resetCurrent(1);
    this.moveY = game.jump;
    this.jumping = true;
};
character.manageActions = function() {
    if(this.current === 1){
        this.moveY += game.gravity; 
        if(this.moveY >= 0){
            this.resetCurrent(2);
        }
    } else if(this.current === 2){
        this.moveY += game.gravity; // TV ??
        if(this.y >= canvas.height - this.height){
            this.moveY = 0;
            this.y = canvas.height - this.height;
            this.resetCurrent(0);
        }
    }
};