//var character;
var canvas = document.getElementById("cvGame");
var ctx = canvas.getContext("2d");
var game = {
    states: Object.freeze({"start": 0, "running":1, "over": 2,"end" : 3}),
    speed: 50,
    state: null,
    tmr: null,
    gravity: 0.75,
    jump: -12,
    barDown: false
};
function keyPressed(e) {
    switch (game.state){
       case game.states.start:
            // manage start of game 
           break;
       case game.states.running:
           //manage character actions
           if(e.keyCode === 32){
               game.barDown = true;
               character.jump();
           }
           break;
       case game.states.end:
           // manage restart
           break;
    }
}
function keyReleased(e) {
    if(e.keyCode == 32){
        // space bar released
        game.barDown = false;
    }
}
function drawFrame() {
    ctx.clearRect(0, 0, canvas.width, canvas.height);
    character.animate();
}
function initialise() {
    canvas.width = 800;
    canvas.height = 500;
    buildCharacter();
    window.addEventListener("keydown", keyPressed);
    window.addEventListener("keyup", keyReleased);
    game.state = game.states.running; // testing
    game.tmr = setInterval(drawFrame, game.speed);
}
initialise();